﻿.div-responsive-design {
    overflow: auto;
    max-width: 100%;
}

/* Extra small devices (phones, 600px and down) */
@media (max-width: 380px) {
    .section-header {
        min-height: 470px;
    }

    .section-subheader {
        min-height: 200px
    }

    html {
        font-size: 14px;
    }

    .switch-adapted {
        margin-left: -20px;
    }

    .switch label input[type=checkbox]:checked + .lever-enlarged:after {
        background-color: #26a69a;
        left: 30px;
    }

    .switch label .lever-enlarged {
        width: 75px;
        height: 22px;
    }

        .switch label .lever-enlarged:after {
            width: 42px;
            height: 24px;
        }

    #nav-logo {
        max-width: 100px;
    }

    #nav-logo-app {
        max-width: 80px;
    }

    .btn--saved-card {
        position: relative;
        text-align: left;
        padding: 10px;
        padding-top: 20px;
        padding-bottom: 60px;
        border-radius: 7px;
        width: 170px;
        height: 140px;
    }

    .btn-saved-card__card-number {
        line-height: 10px;
    }

    #main-slider .item1 {
        background-position: 70%;
    }

    #main-slider .item2 {
        background-position: 55%;
    }

    #main-slider .item3 {
        /*background-position: 20%;*/
    }

    #main-slider .item4 {
        background-position: 20%;
    }

    #section-banner {
        padding-top: 50px;
    }

    .aa-fixed-row-height {
        height: 250px;
        max-height: 250px;
    }

    #MainContent_quoteContainer {
        min-height: 690px;
    }

    .responsive-width {
        min-width: 225px;
    }
}

@media (min-width: 381px) and (max-width: 599px) {
    .section-header {
        min-height: 460px;
    }

    .section-subheader {
        min-height: 150px
    }

    html {
        font-size: 14px;
    }

    .switch-adapted {
        margin-left: -20px;
    }

    .switch label input[type=checkbox]:checked + .lever-enlarged:after {
        background-color: #26a69a;
        left: 30px;
    }

    .switch label .lever-enlarged {
        width: 75px;
        height: 22px;
    }

        .switch label .lever-enlarged:after {
            width: 42px;
            height: 24px;
        }

    #nav-logo {
        max-width: 100px;
    }

    #nav-logo-app {
        max-width: 80px;
    }

    .btn--saved-card {
        position: relative;
        text-align: left;
        padding: 10px;
        padding-top: 20px;
        padding-bottom: 60px;
        border-radius: 7px;
        width: 170px;
        height: 140px;
    }

    .btn-saved-card__card-number {
        line-height: 10px;
    }

    #main-slider .item1 {
        background-position: 70%;
    }

    #main-slider .item2 {
        background-position: 55%;
    }

    #main-slider .item3 {
        /*background-position: 20%;*/
    }

    #main-slider .item4 {
        background-position: 20%;
    }

    #section-banner {
        padding-top: 50px;
    }

    .aa-fixed-row-height {
        height: 250px;
        max-height: 250px;
    }

    #MainContent_quoteContainer {
        min-height: 690px;
    }

    .responsive-width {
        min-width: 225px;
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    .section-header {
        min-height: 295px;
    }

    .section-subheader {
        min-height: 125px
    }

    .switch-adapted {
        margin-left: -20px;
    }

    .switch label input[type=checkbox]:checked + .lever-enlarged:after {
        background-color: #26a69a;
        left: 30px;
    }

    .switch label .lever-enlarged {
        width: 75px;
        height: 22px;
    }

        .switch label .lever-enlarged:after {
            width: 42px;
            height: 24px;
        }

    #nav-logo {
        max-width: 100px;
    }

    #nav-logo-app {
        max-width: 80px;
    }

    #section-banner {
        padding-top: 50px;
    }

    #MainContent_quoteContainer {
        min-height: 390px;
    }

    .responsive-width {
        min-width: 325px;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    .section-header {
        min-height: 350px;
    }

    .section-subheader {
        min-height: 125px
    }

    .switch-adapted {
        margin-left: -20px;
    }

    .switch label input[type=checkbox]:checked + .lever-enlarged:after {
        background-color: #26a69a;
        left: 30px;
    }

    .switch label .lever-enlarged {
        width: 75px;
        height: 22px;
    }

        .switch label .lever-enlarged:after {
            width: 42px;
            height: 24px;
        }

    #nav-logo {
        max-width: 100px;
    }

    #nav-logo-app {
        max-width: 80px;
    }

    #section-banner {
        padding-top: 50px;
    }

    #MainContent_quoteContainer {
        min-height: 315px;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    .section-header {
        min-height: 245px;
    }

    .section-subheader {
        min-height: 125px
    }

    .switch-adapted {
        margin-left: -20px;
    }

    .switch label input[type=checkbox]:checked + .lever-enlarged:after {
        background-color: #26a69a;
        left: 30px;
    }

    .switch label .lever-enlarged {
        width: 75px;
        height: 22px;
    }

        .switch label .lever-enlarged:after {
            width: 42px;
            height: 24px;
        }

    #nav-logo {
        max-width: 100px;
    }

    #nav-logo-app {
        max-width: 120px;
    }

    #section-banner {
        padding-top: 138px;
    }

    #MainContent_quoteContainer {
        min-height: 260px;
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
    .section-header {
        min-height: 190px;
    }

    .section-subheader {
        min-height: 125px
    }

    .switch label input[type=checkbox]:checked + .lever-enlarged:after {
        background-color: #26a69a;
        left: 120px;
    }

    .switch label .lever-enlarged {
        width: 210px;
        height: 44px;
    }

        .switch label .lever-enlarged:after {
            width: 85px;
            height: 48px;
        }

    #nav-logo {
        max-width: 150px;
    }

    #nav-logo-app {
        max-width: 120px;
    }

    #MainContent_quoteContainer {
        min-height: 230px;
    }
}
